--- a/Cargo.toml
+++ b/Cargo.toml
@@ -22,7 +22,7 @@ license = "MIT/Apache-2.0"
 [target."cfg(not(windows))".dependencies.libc]
 version = "0.2.40"
 [target."cfg(windows)".dependencies.uuid]
-version = "0.6.3"
+version = ">= 0.6.3, < 0.9"
 
 [target."cfg(windows)".dependencies.winapi]
 version = "0.3.4"
